apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
resources:
  - ../../base
  - webserver.ingress.yaml
  - storage.ingress.yaml
namespace: kommul-dev
commonLabels:
  eurac.edu/environment: stg
  app.kubernetes.io/part-of: oetzit
  app.kubernetes.io/managed-by: kustomize
patchesStrategicMerge:
  - database.deployment.yaml
  - webserver.deployment.yaml
  - storage.deployment.yaml
images:
  - name: oetzit-webserver-image
    newName: gitlab.inf.unibz.it:4567/commul/oetzit/backend
    newTag: development
secretGenerator:
  - envs:
      - database.secrets.env
    name: oetzit-database-credentials
    type: Opaque
  - envs:
      - dashboard.secrets.env
    name: oetzit-dashboard-credentials
    type: Opaque
  - envs:
      - storage.secrets.env
    name: oetzit-storage-credentials
    type: Opaque
